Package io.vertx.rxjava3.ext.web.handler.graphql

## Class GraphiQLHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.graphql.GraphiQLHandler

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class GraphiQLHandler
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A handler for GraphiQL resources.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<GraphiQLHandler>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GraphiQLHandler​(GraphiQLHandler delegate)` |
    `GraphiQLHandler​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GraphiQLHandlerBuilder` | `builder​(Vertx vertx)` | Create a new `GraphiQLHandlerBuilder` with default `GraphiQLHandlerOptions`.
    `static GraphiQLHandler` | `create​(Vertx vertx)` | Create a new `GraphiQLHandler`.
    `static GraphiQLHandler` | `create​(Vertx vertx, GraphiQLHandlerOptions options)` | Create a new `GraphiQLHandler`.
    `boolean` | `equals​(Object o)` |
    `GraphiQLHandler` | `getDelegate()` |
    `int` | `hashCode()` |
    `static GraphiQLHandler` | `newInstance​(GraphiQLHandler arg)` |
    `Router` | `router()` | Creates a router configured to serve GraphiQL resources.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GraphiQLHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### GraphiQLHandler

          public GraphiQLHandler​(GraphiQLHandler delegate)

    - #### GraphiQLHandler

          public GraphiQLHandler​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public GraphiQLHandler getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public static GraphiQLHandler create​(Vertx vertx)

      Create a new `GraphiQLHandler`.

      The handler will be configured with default `GraphiQLHandlerOptions`.

      Parameters:
        `vertx` -
      Returns:

    - #### create

          public static GraphiQLHandler create​(Vertx vertx,
                                               GraphiQLHandlerOptions options)

      Create a new `GraphiQLHandler`.

      The handler will be configured with the given `options`.

      Parameters:
        `vertx` -
        `options` - options for configuring the `GraphiQLHandler`
      Returns:

    - #### builder

          public static GraphiQLHandlerBuilder builder​(Vertx vertx)

      Create a new `GraphiQLHandlerBuilder` with default `GraphiQLHandlerOptions`.
      Parameters:
        `vertx` -
      Returns:

    - #### router

          public Router router()

      Creates a router configured to serve GraphiQL resources.
      Returns:
        a router to be mounted on an existing `Route`

    - #### newInstance

          public static GraphiQLHandler newInstance​(GraphiQLHandler arg)